Subject: Re: B20: bad support for Mingw?
From: [email-masked] (Maxim Sobolev)

5 Nov 1998 05:57:55 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=koi8-r
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]

Thank you it helped a bit but I still on link phase have an "undefined
reference to `_impure_ptr'" error.

Maxim

Earnie Boyd wrote:

> ---Maxim Sobolev <[email-masked]> wrote:
> >
> > It seems to me that "-mno-cygwin" switch doesn't make it magick to
> > include Mingw32 version of header files (program that just fine
> compiled
> > with Mingw32 with B20 doesn't). Maybe there is any other switch to
> > include all needed header (Mingw instead of Cygwin) files? Any ideas?
> >
>
> I was able to resolve this by prefixing ../../../../ to the
> include/mingw32 in the -mno-cygwin commands for the cpp in the specs
> file.
>
> Here is the section of the specs file with the switches that work:
> *cpp:
> -remap %(cpp_cpu) %{posix:-D_POSIX_SOURCE}
> %{!mno-cygwin:-D__CYGWIN32__ -D__CY
> GWIN__}   %{mno-cygwin:-iwithprefixbefore ../../../../include/mingw32
> -D__MINGW3
> 2__=0.2}
>
> I verifyed that it picked up the correct header file by specifying the
> -H switch on the command line verifying that include/mingw32/dirent.h
> was included instead of include/dirent.h.
>
> ==
> -                  \\||//
> -------------o0O0--Earnie--0O0o--------------
> --          [email-masked]          --
> -- http://www.freeyellow.com/members5/gw32 --
> ----------------ooo0O--O0ooo-----------------
>
> PS: Newbie's, you should visit my page.
> _________________________________________________________
> DO YOU YAHOO!?
> Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".